Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.update
Class UpdateParser

    java.lang.Object
      net.sf.saxon.expr.parser.ExpressionParser
          net.sf.saxon.query.QueryParser
              com.saxonica.update.UpdateParser

    public class UpdateParser

extends QueryParser

Parser for the XQuery Update extensions

Nested Class Summary

Nested classes/interfaces inherited from class net.sf.saxon.expr.parser.ExpressionParser
`ExpressionParser.TemporaryContainer`

Field Summary

Fields inherited from class net.sf.saxon.query.QueryParser
`executable, FUNCTION_IS_NONDETERMINISTIC, FUNCTION_IS_PRIVATE, FUNCTION_IS_UPDATING, importedModules, queryVersion, XQUERY10, XQUERY30`

Fields inherited from class net.sf.saxon.expr.parser.ExpressionParser
`allowXPath30Syntax, defaultContainer, env, language, languageVersion, nameChecker, rangeVariables, scanOnly, SEQUENCE_TYPE, t, XPATH, XQUERY, XSLT_PATTERN`

Constructor Summary
`UpdateParser()`

Method Summary
`int` | `getPermittedFunctions()` Get the permitted set of standard functions in this environment
`Expression` | `parseExprSingle()` Parse an ExprSingle
`protected void` | `parseRevalidationDeclaration()` Parse the "declare revalidation" declaration.
`protected void` | `parseUpdatingFunctionDeclaration()` Parse an updating function declaration (allowed in XQuery Update only)

Methods inherited from class net.sf.saxon.query.QueryParser
`applyModuleImport, atStartOfRelativePath, checkForClauseAllowingEmpty, customizeTokenizer, getExecutable, getLanguage, grumble, lookAhead, makeLetExpression, makeSimpleContent, makeStringJoin, makeStringLiteral, makeXQueryExpression, newParser, normalizeEQName, parseAnnotations, parseConstructor, parseContextItemDeclaration, parseCountClause, parseDecimalFormatDeclaration, parseDefaultDecimalFormat, parseExtensionExpression, parseFLWORExpression, parseFunctionDeclaration, parseGroupByClause, parseLibraryModule, parseNamedNamespaceConstructor, parseNamespaceConstructor, parseTypeswitchExpression, parseValidateExpression, parseWindowClause, readCollationName, setDefaultValue, setDisableCycleChecks, setExecutable, stringify, URILiteral`

Methods inherited from class net.sf.saxon.expr.parser.ExpressionParser
`currentTokenDisplay, declareRangeVariable, disallowedAtStartOfRelativePath, expect, findRangeVariable, getCodeInjector, getDefaultContainer, getNameChecker, getRangeVariables, getStaticContext, getTokenizer, grumble, grumble, grumble, grumble, isKeyword, isNamespaceTestAllowed, makeCurriedFunction, makeLocalNameTest, makeNameCode, makeNameCodeSilently, makeNamespaceTest, makeNameTest, makeNodeName, makeStructuredQName, makeTracer, nextToken, parse, parseBasicStep, parseBinaryExpression, parseDynamicFunctionCall, parseExpression, parseFunctionArgument, parseFunctionCall, parseFunctionItemType, parseInlineFunction, parseItemType, parseLiteralFunctionItem, parseMapExpression, parseMapItemType, parseNodeTest, parseNumericLiteral, parseParenthesizedItemType, parsePathExpression, parsePredicate, parseRelativePath, parseRemainingPath, parseSequenceType, parseSequenceType, parseStepExpression, parseStringLiteral, parseSwitchExpression, parseTryCatchExpression, parseTypePattern, parseVariableReference, reportMissingFunction, resolveFunctionName, setCodeInjector, setDefaultContainer, setLanguage, setLocation, setLocation, setRangeVariables, setRangeVariableStack, setScanOnly, undeclareRangeVariable, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpdateParser

    public UpdateParser()

Method Detail

### getPermittedFunctions

    public int getPermittedFunctions()

  Get the permitted set of standard functions in this environment

  Overrides:
    `getPermittedFunctions` in class `QueryParser`
  Returns:
    a code indicating which system library functions are supported in this version of the language

### parseRevalidationDeclaration

    protected void parseRevalidationDeclaration()
                                         throws XPathException

  Parse the "declare revalidation" declaration. Syntax: <"declare" "revalidation"> ("strict" | "lax" | "skip")

  Overrides:
    `parseRevalidationDeclaration` in class `QueryParser`
  Throws:
    `XPathException`

### parseUpdatingFunctionDeclaration

    protected void parseUpdatingFunctionDeclaration()
                                             throws XPathException

  Parse an updating function declaration (allowed in XQuery Update only)

  Overrides:
    `parseUpdatingFunctionDeclaration` in class `QueryParser`
  Throws:
    `XPathException` - if parsing fails or if updating functions are not allowed

### parseExprSingle

    public Expression parseExprSingle()
                               throws XPathException

  Parse an ExprSingle

  Overrides:
    `parseExprSingle` in class `ExpressionParser`
  Returns:
    the resulting subexpression
  Throws:
    `XPathException` - if any error is encountered

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.